curl --request POST \
--url https://api.splose.com/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "Standard",
"name": "Plan Manager",
"email": "harry@hogwarts.edu",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
]
}
'import requests
url = "https://api.splose.com/v1/contacts"
payload = {
"type": "Standard",
"name": "Plan Manager",
"email": "harry@hogwarts.edu",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'Standard',
name: 'Plan Manager',
email: 'harry@hogwarts.edu',
title: 'Mr.',
firstName: 'Harry',
lastName: 'Potter',
preferredName: 'Harry',
occupation: 'Contractor',
companyName: 'splose',
providerNumber: '12345678',
doctorType: 'GP',
addressL1: '123 King William Street',
addressL2: '',
addressL3: '',
suburb: 'Adelaide',
state: 'SA',
postalCode: '5000',
country: 'Australia',
phoneNumbers: [{phoneNumber: '401234567', type: 'Mobile', code: '+61'}]
})
};
fetch('https://api.splose.com/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'Standard',
'name' => 'Plan Manager',
'email' => 'harry@hogwarts.edu',
'title' => 'Mr.',
'firstName' => 'Harry',
'lastName' => 'Potter',
'preferredName' => 'Harry',
'occupation' => 'Contractor',
'companyName' => 'splose',
'providerNumber' => '12345678',
'doctorType' => 'GP',
'addressL1' => '123 King William Street',
'addressL2' => '',
'addressL3' => '',
'suburb' => 'Adelaide',
'state' => 'SA',
'postalCode' => '5000',
'country' => 'Australia',
'phoneNumbers' => [
[
'phoneNumber' => '401234567',
'type' => 'Mobile',
'code' => '+61'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/contacts"
payload := strings.NewReader("{\n \"type\": \"Standard\",\n \"name\": \"Plan Manager\",\n \"email\": \"harry@hogwarts.edu\",\n \"title\": \"Mr.\",\n \"firstName\": \"Harry\",\n \"lastName\": \"Potter\",\n \"preferredName\": \"Harry\",\n \"occupation\": \"Contractor\",\n \"companyName\": \"splose\",\n \"providerNumber\": \"12345678\",\n \"doctorType\": \"GP\",\n \"addressL1\": \"123 King William Street\",\n \"addressL2\": \"\",\n \"addressL3\": \"\",\n \"suburb\": \"Adelaide\",\n \"state\": \"SA\",\n \"postalCode\": \"5000\",\n \"country\": \"Australia\",\n \"phoneNumbers\": [\n {\n \"phoneNumber\": \"401234567\",\n \"type\": \"Mobile\",\n \"code\": \"+61\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.splose.com/v1/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"Standard\",\n \"name\": \"Plan Manager\",\n \"email\": \"harry@hogwarts.edu\",\n \"title\": \"Mr.\",\n \"firstName\": \"Harry\",\n \"lastName\": \"Potter\",\n \"preferredName\": \"Harry\",\n \"occupation\": \"Contractor\",\n \"companyName\": \"splose\",\n \"providerNumber\": \"12345678\",\n \"doctorType\": \"GP\",\n \"addressL1\": \"123 King William Street\",\n \"addressL2\": \"\",\n \"addressL3\": \"\",\n \"suburb\": \"Adelaide\",\n \"state\": \"SA\",\n \"postalCode\": \"5000\",\n \"country\": \"Australia\",\n \"phoneNumbers\": [\n {\n \"phoneNumber\": \"401234567\",\n \"type\": \"Mobile\",\n \"code\": \"+61\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"Standard\",\n \"name\": \"Plan Manager\",\n \"email\": \"harry@hogwarts.edu\",\n \"title\": \"Mr.\",\n \"firstName\": \"Harry\",\n \"lastName\": \"Potter\",\n \"preferredName\": \"Harry\",\n \"occupation\": \"Contractor\",\n \"companyName\": \"splose\",\n \"providerNumber\": \"12345678\",\n \"doctorType\": \"GP\",\n \"addressL1\": \"123 King William Street\",\n \"addressL2\": \"\",\n \"addressL3\": \"\",\n \"suburb\": \"Adelaide\",\n \"state\": \"SA\",\n \"postalCode\": \"5000\",\n \"country\": \"Australia\",\n \"phoneNumbers\": [\n {\n \"phoneNumber\": \"401234567\",\n \"type\": \"Mobile\",\n \"code\": \"+61\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"type": "Standard",
"name": "Plan Manager",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"associatedPatientIds": [
123
],
"associatedInvoiceIds": [
123
],
"associatedCaseIds": [
123
],
"email": "harry@hogwarts.edu",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
],
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Create single contact
Create single contact
curl --request POST \
--url https://api.splose.com/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "Standard",
"name": "Plan Manager",
"email": "harry@hogwarts.edu",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
]
}
'import requests
url = "https://api.splose.com/v1/contacts"
payload = {
"type": "Standard",
"name": "Plan Manager",
"email": "harry@hogwarts.edu",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'Standard',
name: 'Plan Manager',
email: 'harry@hogwarts.edu',
title: 'Mr.',
firstName: 'Harry',
lastName: 'Potter',
preferredName: 'Harry',
occupation: 'Contractor',
companyName: 'splose',
providerNumber: '12345678',
doctorType: 'GP',
addressL1: '123 King William Street',
addressL2: '',
addressL3: '',
suburb: 'Adelaide',
state: 'SA',
postalCode: '5000',
country: 'Australia',
phoneNumbers: [{phoneNumber: '401234567', type: 'Mobile', code: '+61'}]
})
};
fetch('https://api.splose.com/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.splose.com/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'Standard',
'name' => 'Plan Manager',
'email' => 'harry@hogwarts.edu',
'title' => 'Mr.',
'firstName' => 'Harry',
'lastName' => 'Potter',
'preferredName' => 'Harry',
'occupation' => 'Contractor',
'companyName' => 'splose',
'providerNumber' => '12345678',
'doctorType' => 'GP',
'addressL1' => '123 King William Street',
'addressL2' => '',
'addressL3' => '',
'suburb' => 'Adelaide',
'state' => 'SA',
'postalCode' => '5000',
'country' => 'Australia',
'phoneNumbers' => [
[
'phoneNumber' => '401234567',
'type' => 'Mobile',
'code' => '+61'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.splose.com/v1/contacts"
payload := strings.NewReader("{\n \"type\": \"Standard\",\n \"name\": \"Plan Manager\",\n \"email\": \"harry@hogwarts.edu\",\n \"title\": \"Mr.\",\n \"firstName\": \"Harry\",\n \"lastName\": \"Potter\",\n \"preferredName\": \"Harry\",\n \"occupation\": \"Contractor\",\n \"companyName\": \"splose\",\n \"providerNumber\": \"12345678\",\n \"doctorType\": \"GP\",\n \"addressL1\": \"123 King William Street\",\n \"addressL2\": \"\",\n \"addressL3\": \"\",\n \"suburb\": \"Adelaide\",\n \"state\": \"SA\",\n \"postalCode\": \"5000\",\n \"country\": \"Australia\",\n \"phoneNumbers\": [\n {\n \"phoneNumber\": \"401234567\",\n \"type\": \"Mobile\",\n \"code\": \"+61\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.splose.com/v1/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"Standard\",\n \"name\": \"Plan Manager\",\n \"email\": \"harry@hogwarts.edu\",\n \"title\": \"Mr.\",\n \"firstName\": \"Harry\",\n \"lastName\": \"Potter\",\n \"preferredName\": \"Harry\",\n \"occupation\": \"Contractor\",\n \"companyName\": \"splose\",\n \"providerNumber\": \"12345678\",\n \"doctorType\": \"GP\",\n \"addressL1\": \"123 King William Street\",\n \"addressL2\": \"\",\n \"addressL3\": \"\",\n \"suburb\": \"Adelaide\",\n \"state\": \"SA\",\n \"postalCode\": \"5000\",\n \"country\": \"Australia\",\n \"phoneNumbers\": [\n {\n \"phoneNumber\": \"401234567\",\n \"type\": \"Mobile\",\n \"code\": \"+61\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.splose.com/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"Standard\",\n \"name\": \"Plan Manager\",\n \"email\": \"harry@hogwarts.edu\",\n \"title\": \"Mr.\",\n \"firstName\": \"Harry\",\n \"lastName\": \"Potter\",\n \"preferredName\": \"Harry\",\n \"occupation\": \"Contractor\",\n \"companyName\": \"splose\",\n \"providerNumber\": \"12345678\",\n \"doctorType\": \"GP\",\n \"addressL1\": \"123 King William Street\",\n \"addressL2\": \"\",\n \"addressL3\": \"\",\n \"suburb\": \"Adelaide\",\n \"state\": \"SA\",\n \"postalCode\": \"5000\",\n \"country\": \"Australia\",\n \"phoneNumbers\": [\n {\n \"phoneNumber\": \"401234567\",\n \"type\": \"Mobile\",\n \"code\": \"+61\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"type": "Standard",
"name": "Plan Manager",
"title": "Mr.",
"firstName": "Harry",
"lastName": "Potter",
"preferredName": "Harry",
"occupation": "Contractor",
"companyName": "splose",
"providerNumber": "12345678",
"doctorType": "GP",
"associatedPatientIds": [
123
],
"associatedInvoiceIds": [
123
],
"associatedCaseIds": [
123
],
"email": "harry@hogwarts.edu",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"suburb": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
],
"archived": false,
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Contact type
"Standard"
Contact name
"Plan Manager"
Contact email
"harry@hogwarts.edu"
Contact title
"Mr."
Contact first name
"Harry"
Contact last name
"Potter"
Contact preferred name
"Harry"
Contact occupation
"Contractor"
Contact company name
"splose"
Contact provider number
"12345678"
Contact doctor type
GP, Specialist "GP"
Contact address line 1
"123 King William Street"
Contact address line 2
""
Contact address line 3
""
Contact city
"Adelaide"
Contact state
"SA"
Contact post code
"5000"
Contact country
"Australia"
Show child attributes
Show child attributes
Response
Successfully created contact
Contact id
x > 01
Contact type
"Standard"
Contact name
"Plan Manager"
Contact title
"Mr."
Contact first name
"Harry"
Contact last name
"Potter"
Contact preferred name
"Harry"
Contact occupation
"Contractor"
Contact company name
"splose"
Contact provider number
"12345678"
Contact doctor type
"GP"
The associated patients' id in this contact
The associated invoices' id in this contact
The associated invoices' id in this contact
Contact email
"harry@hogwarts.edu"
Contact address line 1
"123 King William Street"
Contact address line 2
""
Contact address line 3
""
Contact city
"Adelaide"
Contact state
"SA"
Contact post code
"5000"
Contact country
"Australia"
Show child attributes
Show child attributes
Whether the contact has been archived
Object creation date time
"2023-07-30T09:00:00.000Z"
Object update date time
"2023-07-30T09:00:00.000Z"